<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="notes"
            type="com.cursoandroid.notas.data.local.entity.NotesEntity" />

        <variable
            name="clickListener"
            type="com.cursoandroid.notas.ui.adapters.NoteClickedListener"/>
    </data>

    <androidx.cardview.widget.CardView
        android:id="@+id/cv_note"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/margin_10dp"
        app:cardCornerRadius="@dimen/radius_15dp"
        app:cardElevation="@dimen/elevation_25dp"
        android:onClick="@{()->clickListener.onClick(notes)}">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/padding_10dp"
            android:background="@color/white">

            <TextView
                android:id="@+id/tv_item_title"
                style="@style/titleTextViewTheme"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="@{notes.title}"/>

            <TextView
                android:id="@+id/tv_item_timestamp"
                style="@style/descriptionTextViewTheme"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="@string/default_item_timestamp"
                app:setTimeStamp="@{notes.timeStamp}"/>



        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.cardview.widget.CardView>

</layout>